import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

class UserProfile6 extends StatefulWidget {
  const UserProfile6({Key? key}) : super(key: key);

  @override
  State<UserProfile6> createState() => _UserProfile6State();
}

class _UserProfile6State extends State<UserProfile6> {
  @override
  Widget build(BuildContext context) {
    Size screenSize= MediaQuery.of(context).size;
    const myColor =Colors.cyan;
    return Scaffold(
      backgroundColor: Colors.white,
      body: SingleChildScrollView(
        child: Stack(
          children: [

            Container(
              height: screenSize.height/3,
              width: screenSize.width,
              child: Image(image: AssetImage('assets/user.jpg'),fit: BoxFit.cover,),
            ),
            BackdropFilter(filter: ImageFilter.blur(sigmaX: 10,sigmaY: 10),
              child: Container(height: 300,),),
            Container(
              margin: EdgeInsets.only(top: screenSize.height*.2),
              child: ClipPath(
                clipper: MyClipper(),
                child: Container(height: screenSize.height/2,width: screenSize.width,color:Colors.white ,),
              ),
            ),
            Center(
              child: Container(
                margin: EdgeInsets.only(top: screenSize.height*.18),
                height: screenSize.height*.15,
                width: screenSize.height*.15,
                decoration: BoxDecoration(
                  borderRadius: BorderRadius.circular(100),
                  image: DecorationImage(image: AssetImage('assets/user.jpg'))
                ),
              ),
            ),
            Padding(
              padding: EdgeInsets.only(top: screenSize.height*.29,left: 20,right: 20),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.center,

                children: [
                  Padding(
                    padding:  EdgeInsets.symmetric(horizontal: 10),
                    child: Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Container(
                            height: screenSize.height*.05,
                            padding: EdgeInsets.symmetric(horizontal: 15,),
                            decoration: BoxDecoration(
                                border: Border.all(color: myColor.shade700),
                                borderRadius: BorderRadius.circular(10)
                            ),
                            child: TextButton(onPressed: (){}, child: Text('Follow',style: TextStyle(color: myColor.shade700),))),
                        Container(
                            height: screenSize.height*.05,
                            padding: EdgeInsets.symmetric(horizontal: 10,),
                            decoration: BoxDecoration(
                                border: Border.all(color: myColor.shade700),
                                borderRadius: BorderRadius.circular(10)
                            ),
                            child: TextButton(onPressed: (){}, child: Text('Message',style: TextStyle(color: myColor.shade700)))),
                      ],
                    ),
                  ),
                  Text('John Doe',style: TextStyle(fontSize: 30,fontWeight: FontWeight.bold,color: myColor.shade700),),
                  Row(
                    mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                    children: [
                      Text('Designer & Blogger',style: TextStyle(fontSize: 20,color: myColor.shade700),),
                    ],
                  ),
                  Divider(),
                  Row(
                    mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                    //mainAxisSize: MainAxisSize.min,
                    children: [
                       Padding(
                        padding: EdgeInsets.all(8.0),
                        child: Icon(FontAwesomeIcons.facebook,size: 35,color: myColor.shade700,),
                      ),
                       Padding(
                        padding: EdgeInsets.all(8.0),
                        child: Icon(FontAwesomeIcons.twitter,size: 35,color: myColor.shade700,),
                      ),
                       Padding(
                        padding: EdgeInsets.all(8.0),
                        child: Icon(FontAwesomeIcons.linkedin,size: 35,color: myColor.shade700,),
                      ),
                    ],
                  ),
                  Divider(height: 20,),
                  Text("I'm Mathias Yeo, and I'm passionate about "
                      "writing engaging content for businesses. "
                      "I specialise in topics like technology, "
                      "travel and food.",
                    style: TextStyle(color: myColor.shade700,fontSize: 16),
                  textAlign: TextAlign.center,
                  ),
                  SizedBox(height: 15,),
                  Divider(),
                  ListTile(
                    leading: Icon(Icons.article_rounded,size: 30,color: myColor.shade700,),
                    title: Text('flutteralive.com',style: TextStyle(color: myColor.shade700,fontSize: 20),),
                  ),
                  ListTile(
                    leading: Icon(Icons.email,size: 30,color: myColor.shade700,),
                    title: Text('xyz@xyz.com',style: TextStyle(color: myColor.shade700,fontSize: 20),),
                  ),
                  ListTile(
                    leading: Icon(Icons.phone,size: 30,color: myColor.shade700,),
                    title: Text('+11111111111',style: TextStyle(color: myColor.shade700,fontSize: 20),),
                  ),



                ],
              ),
            )

          ],

        ),
      ),
    );
  }
}

class MyClipper extends CustomClipper<Path>{
  @override
  Path getClip(Size size) {
    Path path =Path();
    path.moveTo(0, size.height*.2);
    path.lineTo(0, size.height);
    path.lineTo(size.width, size.height);
    path.lineTo(size.width,size.height*.2);
    path.quadraticBezierTo(size.width/2, 0, 0, size.height*.2);
    return path;
  }

  @override
  bool shouldReclip(covariant CustomClipper<Path> oldClipper) {

    return true;
  }

}
